import request from '@/utils/request'

// 循环发送短信 - 查询列表
export function listLoopSendAPI(query) {
    return request({
        url: '/msgJob/list',
        method: 'GET',
        params: query,
    })
}

// 循环发送短信 - 新增
export function addLoopSendAPI(data) {
    return request({
        url: '/msgJob/add',
        method: 'POST',
        data,
    })
}

// 循环发送短信 - 修改
export function updateLoopSendAPI(data) {
    return request({
        url: '/msgJob/update',
        method: 'POST',
        data,
    })
}

// 循环发送短信 - 删除
export function delLoopSendAPI(data) {
    return request({
        url: '/msgJob/delete',
        method: 'POST',
        data,
    })
}

// 循环发送短信 - 详情
export function getLoopSendDetailAPI(id) {
    return request({
        url: `/msgJob/getById`,
        method: 'POST',
        data: {
            id,
        },
    })
}

// 循环发送短信 - 更新任务状态
export function updateLoopSendStatusAPI(data) {
    return request({
        url: '/msgJob/updateTaskStatus',
        method: 'POST',
        data,
    })
}

